#include <CMGMeshTopology.h>
#include <stdlib.h>

/* These are the global structs with a
HUGE payload, our approach is to move
this payload on the HEAP in order to
limit the impact on the TLS segment
and by extension on the STACKS */
extern MeshCellContainer cellContainer;
extern MeshFaceContainer faceContainer;
extern MeshEdgeContainer edgeContainer;
extern MeshVertexContainer vertexContainer;

//void CMG_lib_constructor() __attribute__((constructor)); 

void CMG_lib_constructor()
{
	/* Init MeshCellContainer */
	cellContainer.cellList = calloc(  sizeof(MeshCell), CMG_MAX_BLOCK_DEFINITIONS);
	
	if( cellContainer.cellList == NULL )
	{
		perror("calloc");
		abort();
	}
	
	/* Init MeshFaceContainer */
	faceContainer.faceList = calloc(  sizeof(MeshFace), CMG_MAX_FACE_DEFINITIONS);
	
	if( faceContainer.faceList == NULL )
	{
		perror("calloc");
		abort();
	}
	
	/* Init MeshEdgeContainer */
	edgeContainer.edgeList = calloc(  sizeof(MeshEdge), CMG_MAX_EDGE_DEFINITIONS);
	
	if( edgeContainer.edgeList == NULL )
	{
		perror("calloc");
		abort();
	}
	
	/* Init MeshVertexContainer */
	vertexContainer.vertexList = calloc(  sizeof(MeshVertex), CMG_MAX_VERTEX_DEFINITIONS);
	
	if( vertexContainer.vertexList == NULL )
	{
		perror("calloc");
		abort();
	}
}
